Linux Mint PHP Composer Hatası ve Çözümü

Esenlikler, Linux üzerinde Laravel kurmak isterken yaşadığım bir soruna çözüm olmak için bu satırlara emek vermekteyim.

Olası hata çıktıları:

You can also run `php --ini` inside terminal to see which files are used by PHP in CLI mode.

Terminalde bu şekilde bir çıktı aldığınızda aşağıdaki paketleri kurmalısınız. Kullandığınız PHP sürümüne ve ismine göre paket isminde değişiklik gösterebilir.

Çözüm:

sudo apt-get update && sudo apt-get upgrade && sudo apt-get autoclean && sudo apt-get autoremove
sudo apt-get install php5.6-gd
sudo apt-get install php5.6-intl
sudo apt-get install php5.6-xsl
sudo apt-get update

Yukarıda yer alan komutları sırası ile terminal ekranınızda çalıştırın. Sonrasında composer işleminiz başarı ile çalışacaktır.

Bir cevap yazın

E-posta hesabınız yayımlanmayacak. Gerekli alanlar * ile işaretlenmişlerdir

This site uses Akismet to reduce spam. Learn how your comment data is processed.